Drafts
List Drafts
Query Parameters
limit?integer
page_token?string
inbox_id?string
Header Parameters
Authorization*string
Bearer authentication
Response Body
application/json
curl -X GET "https://api.agentry.to/human/v0/drafts" \ -H "Authorization: string"{
"count": 0,
"limit": 0,
"next_page_token": "string",
"drafts": [
{
"inbox_id": "string",
"draft_id": "string",
"labels": [
"string"
],
"to": [
"string"
],
"cc": [
"string"
],
"bcc": [
"string"
],
"subject": "string",
"preview": "string",
"attachments": [
{
"attachment_id": "string",
"filename": "string",
"size": 0,
"content_type": "string",
"content_disposition": "inline",
"content_id": "string"
}
],
"in_reply_to": "string",
"send_status": "scheduled",
"send_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}Get Draft
Path Parameters
draft_id*string
ID of draft.
Header Parameters
Authorization*string
Bearer authentication
Response Body
application/json
curl -X GET "https://api.agentry.to/human/v0/drafts/string" \ -H "Authorization: string"{
"inbox_id": "string",
"draft_id": "string",
"client_id": "string",
"labels": [
"string"
],
"reply_to": [
"string"
],
"to": [
"string"
],
"cc": [
"string"
],
"bcc": [
"string"
],
"subject": "string",
"preview": "string",
"text": "string",
"html": "string",
"attachments": [
{
"attachment_id": "string",
"filename": "string",
"size": 0,
"content_type": "string",
"content_disposition": "inline",
"content_id": "string"
}
],
"in_reply_to": "string",
"references": [
"string"
],
"send_status": "scheduled",
"send_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}Get Draft Attachment
Path Parameters
draft_id*string
ID of draft.
attachment_id*string
ID of attachment.
Header Parameters
Authorization*string
Bearer authentication
Response Body
application/json
curl -X GET "https://api.agentry.to/human/v0/drafts/string/attachments/string" \ -H "Authorization: string"{
"attachment_id": "string",
"filename": "string",
"size": 0,
"content_type": "string",
"content_disposition": "inline",
"content_id": "string",
"download_url": "string",
"expires_at": "2019-08-24T14:15:22Z"
}